function feat = getAgentFeatures(snd, agent, specEnv,harmEnv)
% feat = getAgentFeatures(snd, agent, specEnv,harmEnv)
% 
% get one feature struct corresponding to one agent
%
global sw
v=snd.var;
Spec=snd.an.Spec;
wins=snd.an.wins;

% get this agent's history
trace=agent.trace;

% his f0's
for i=1:length(trace)
  f0s(i)=wins(agent.birth+i-1).f0(trace(i));
  win=wins(agent.birth+i-1);
  %% get per-window-features
  if(isstruct(f0s(i)))
    [feat.vect.F0(:,i) feat.names.F0]	= getF0Features(f0s(i),specEnv,harmEnv);
    if (sw.GetWinFeat), [feat.vect.Win(:,i) feat.names.Win] = getWinFeatures(wins(agent.birth+i-1)); end;
  end

end
%% temporal Features (per agent)
[feat.vect.temp, feat.names.temp] = getTemporalF0Feat(snd, agent);












