function [specFeat, tempFeat] = getFeatureMat(snd)

minAge=3;

specFeat.data=[];
tempFeat.data=[];
%% collect feature vectors of all usable agents
for a=1:length(snd.agents)
  % conditions:
  if (~snd.agents(a).valid), continue; end
  if (snd.agents(a).age<minAge), continue; end
  
  feat=getAgentFeatures(snd,snd.agents(a));

  specFeat.data(:,size(specFeat,2)+1:size(specFeat,2)+size(feat.vect.F0,2)) = [ feat.vect.F0; 
					feat.vect.Win ];
  specFeat.names = strvcat(feat.names.F0, feat.names.Win);
  
  tempFeat.data(:,end+1) = feat.vect.temp;
  tempFeat.names = feat.names.temp;
end  




  
