package jmurec;

import java.util.*;

public class agent {
    public LinkedList featureHistory = new LinkedList();
    public double [] featureVect;
    
    public int featureVectNum = 0;

    public int lifetime, 
	birth,
	featureVectSize=4;
    

  ///////// constructor //////////
    public agent(features feat, int frame) {
			// System.out.println("Agent: created ---");
			this.setNextFeat(feat);
			this.birth=frame;
			
			//this.featureVectNum = 1;
    }
	/////////////////////////////////////////////
	  public void setNextFeat(features feat)	{
		  
			this.featureHistory.add(feat);
			//this.featureVect = this.age()*this.featureVect
			this.featureVect=feat.featureVect();
		}	
			
		public int age() {
			return featureHistory.size();
		}	
		public double [] traceF0 () {
			double [] f0trace = new double [this.featureHistory.size()];
			for(int i=0;i<this.featureHistory.size();i++) {
			 	f0trace[i]=((features)this.featureHistory.get(i)).f0;
			}
			return f0trace;
		}		
		public double [][] traceFeatVect () {
		    double [][] featureMat = new double [this.featureHistory.size()][featureVectSize]; 
		    for(int i=0;i<this.featureHistory.size();i++) {
			features tmpFeat=((features)this.featureHistory.get(i));
			for(int j=0;j<featureVectSize;j++) {
			    featureMat[i][j]=tmpFeat.featureVect()[j];
			}

		    }
		    return featureMat;
		}		
    ////////////////////////////////////////////
    // sleeping means waiting for the next frame
    // featureVect stays the same
    public void sleep() {
	this.featureHistory.add(new features()); //hack
    }

    public double getEnergy() {
	double energy=0;
	for(int i=0;i<this.featureHistory.size();i++) {
	    energy += ((features)this.featureHistory.get(i)).energy;
	}
	return energy;
    }		
	
    public double status() {
	return this.getEnergy() / this.age();
    }		
	
    public double probability() {
			return 1; 
    }


    public boolean doIContain(int frame, double freq, double toler) {
	if (frame-birth>0) {
	  return (Math.abs(((features)this.featureHistory.get(frame-birth)).f0-freq)<toler);
	} else return false;
	
    }
}
