trainVec=[allInstFeatures{1}, allInstFeatures{2}, allInstFeatures{3}];     
size1=size(allInstFeatures{1},2);
size2=size(allInstFeatures{2},2);
size3=size(allInstFeatures{3},2);
size123=size1+size2+size3;

if(1) % sax, bass, piano
  desiredOut=zeros(3,size(trainVec,2));
  desiredOut(1,1:size1)=ones(1,size1);
  desiredOut(2,size1+1:size1+size2)=ones(1,size2);
  desiredOut(3,size1+size2+1:size1+size2+size3)=ones(1,size3);
end
if(0) % only sax or not
  desiredOut=zeros(3,size(trainVec,2));
  desiredOut(1,1:size1)=ones(1,size1);
  desiredOut(2,size1+1:size1+size2)=ones(1,size2);
  desiredOut(2,size1+size2+1:size1+size2+size3)=ones(1,size3);
end

% split into training and validation set
validationSize=0.1 % 10 percent

% random select out of training set
valInd=round(size123*rand(1,round(size123*validationSize)))
trainInd=setdiff(1:size123,valInd);

trainIn=trainVec(:,trainInd);  
trainOut=desiredOut(:,trainInd);

val.P=trainVec(:,valInd);  
val.T=desiredOut(:,valInd);

range=[min(trainVec,[],2), max(trainVec,[],2)];

%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% set up and train neuronal network

net=newff(range,[17,10,3],{'purelin','purelin','logsig'},'trainscg');

net=init(net);

net.trainParam.show = 50;
net.trainParam.lr = 0.05;
net.trainParam.epochs = 3000;
net.trainParam.goal = 1e-5;

%[net,tr]=train(net,trainIn,trainOut,[],[],val);
[net,tr]=train(net,trainIn,trainOut);

 
