function feat = normalizeFeat(feat,model)
% normalize Features according to model statistics
%

%numWinFeat=size(feat.vect.Win,1);
numF0Feat=size(feat.vect.F0,1);
numTempF0Feat=size(feat.vect.temp,1);

specVec = [feat.vect.F0];  %;feat.vect.Win]; 

%% normalize Features according to model statistics
feat.vect.F0=(diag(1/2./model.stats.specStd(1:numF0Feat)))*(feat.vect.F0-model.stats.specMu(1:numF0Feat)*ones(1,size(feat.vect.F0,2)));
%feat.vect.Win=(diag(1/2./model.stats.specStd(numF0Feat+1:end)))*(feat.vect.Win-model.stats.specMu(numF0Feat+1:end)*ones(1,size(feat.vect.Win,2)));

feat.vect.temp=(diag(1/2./model.stats.tempStd))*(feat.vect.temp-model.stats.tempMu*ones(1,size(feat.vect.temp,2)));
