function cellSet = sliceWav(mono)
  % slices mono wav files to cell arrays
    

cellind=1;
last=0;
thrs=0.002;
cellSet{1}=[];
for win=1:1024:length(mono)-1025
  tmp = mono(win:win+1024-1);
  mpwr = mean(tmp.^2);
  if (mpwr>thrs)
    cellSet{cellind}=[cellSet{cellind}; tmp];
    last=1;
  else
    if last==1
      cellind=cellind+1;
      cellSet{cellind}=[];
      last=0;
    end
  end
end
