[X,f,t]=stft(stereo, aWindow, windowHop, fftSize, 0, samplFreq);

%Energy-weighted Amplitude difference
A=20*log10(abs(X{2}./X{1}));%.*(abs(X{1}+X{2})));  
%A negative => left
%A positive => right
[F,T]=size(A);
% Phase Difference
Ph=imag(log(X{1}./X{2}))./([1 1:F-1]'/(F-1)*pi*ones(1,T));

Fax=[0 max(f)];
Tax=[0 max(t)];

figure
subplot(131)
imagesc(t,f,20*log10(abs(X{1})));
axis xy;
axis([Tax Fax]);

subplot(132)
colormap(hot)
imagesc(t,f,A);
colorbar
axis xy;
axis([Tax Fax]);

subplot(133)
imagesc(t,f,Ph);
axis xy;
axis([Tax Fax]);


figure
F0space=zeros(3,T);
for i=1:T
    F0space(:,i)=A(F0inds(:,i), i)
end
plot(F0space')
legend('strongest','2','3')
title('space function of each F0 trajectory')