function [stereo, mono]=testSynth()

%load saxtone
global opt
%Sound
InstAp=[1 1 1 0.6 0.5 0.2];
InstBp=[1 0.2 0.7 0.2 0.5 0.2];
InstCp=[1 0.8 0.6 0.4 0.2 0.1];

saxtone=InstAp;
harm{1}=saxtone;
harm{2}=saxtone;
harm{3}=saxtone;

%Dynamics
InstAd=[ones(3*opt.samplFreq,1); zeros(2*opt.samplFreq,1)];
InstBd=[zeros(1*opt.samplFreq,1); ones(3*opt.samplFreq,1); zeros(1*opt.samplFreq,1)];
InstCd=[zeros(2*opt.samplFreq,1); ones(3*opt.samplFreq,1)];
%Space angle
InstAa=-90;
InstBa=30;
InstCa=10;
%F0
InstAf0=440; % A
InstBf0=660; % E
%InstCf0=55;  % A 3 oct tiefer
InstCf0=523; % C mollterz
%InstCf0=554; % C# durterz

tracks=synthSound([InstAf0, InstBf0, InstCf0],harm,[InstAd InstBd InstCd]);
wavwrite(tracks(:,1),opt.samplFreq,'orig1.wav')
wavwrite(tracks(:,2),opt.samplFreq,'orig2.wav')
stereo=placeInSpace(tracks,[InstAa, InstBa, InstCa]);
%plotstereo(stereo)
wavwrite(stereo,opt.samplFreq,'testSynth.wav')

mono=sum(stereo,2);