function [specModel, tempModel]=trainSVM(insts)
%
% 
%
numInsts=length(insts);

specInputVec=[];
tempInputVec=[];
specOutputVec=[];
tempOutputVec=[];

%%
%% collect training vectors

for i=1:numInsts
  %[specFeat, tempFeat] = collectFeatures(insts(i).snd);
  %specInputVec=[specInputVec specFeat.data];
  %tempInputVec=[tempInputVec tempFeat.data];
  specInputVec=[specInputVec insts(i).specFeat.data];
  tempInputVec=[tempInputVec insts(i).tempFeat.data];
  
  %desired output, one neuron per instrument
  out=i;
    
  specOutputVec=[specOutputVec out*ones(1,size(insts(i).specFeat.data,2))];
  tempOutputVec=[tempOutputVec out*ones(1,size(insts(i).tempFeat.data,2))];
end

%%
%% train SVM

disp('trainSVM: train tempModel')  
[tempModel.AlphaY, tempModel.SVs, tempModel.Bias, ...
	tempModel.Parameters, tempModel.nSV, tempModel.nLabel] = RbfSVC(tempInputVec, tempOutputVec);

disp('trainSVM: train specModel')  
[specModel.AlphaY, specModel.SVs, specModel.Bias, ...
	specModel.Parameters, specModel.nSV, specModel.nLabel] = RbfSVC(specInputVec, specOutputVec);
%specModel=[]

