function instsFeat = evalFeatures(insts)

%plotDotOrder=strvcat('cd','mo','gv','yp');
plotDotOrder=strvcat('b.','r.','g.','y.');

figure(787)
figure(788)
close(787)
close(788)

for i=1:length(insts)
  %[specFeat, tempFeat] = collectFeatures(insts(i).snd);
  specFeat=insts(i).specFeat;
  tempFeat=insts(i).tempFeat;
	
  % add a dummy feature for plotting odd number of features
  specFeat.data=[specFeat.data; zeros(1,size(specFeat.data,2))];
  tempFeat.data=[tempFeat.data; zeros(1,size(tempFeat.data,2))];
  specFeat.names=strvcat(specFeat.names,'dummy');
  tempFeat.names=strvcat(tempFeat.names,'dummy');

  figure(787)
  for ind=1:2:size(specFeat.data,1)-1
    subplot(size(specFeat.data,1)/4+1,2,ceil(ind/2))
	 plot(specFeat.data(ind,:),specFeat.data(ind+1,:),plotDotOrder(i,:),'MarkerSize',4) 
	 hold on
	 xlabel(specFeat.names(ind,:))
	 ylabel(specFeat.names(ind+1,:))
	 axis([-2 2 -2 2])
	 legend(strvcat(insts.name))
  end
  figure(788)
  for ind=1:2:size(tempFeat.data,1)-1
    subplot(size(tempFeat.data,1)/2,1,ceil(ind/2))
	 plot(tempFeat.data(ind,:),tempFeat.data(ind+1,:),plotDotOrder(i,:),'MarkerSize',6) 
	 hold on
	 xlabel(tempFeat.names(ind,:))
	 ylabel(tempFeat.names(ind+1,:))
	 legend(strvcat(insts.name))
  end



end

%legend(strvcat(insts.name))
