function instsFeat = evalFeaturesPlot(insts)

%plotDotOrder=strvcat('cd','mo','gv','yp');
plotDotOrder=strvcat('b+','ro','g.','y.');



  %[specFeat, tempFeat] = collectFeatures(insts(i).snd);
  specFeat=insts(1).specFeat;
  tempFeat=insts(1).tempFeat;
	
  % add a dummy feature for plotting odd number of features
  %specFeat.data=[specFeat.data; zeros(1,size(specFeat.data,2))];
  %tempFeat.data=[tempFeat.data; zeros(1,size(tempFeat.data,2))];
  %specFeat.names=strvcat(specFeat.names,'dummy');
  %tempFeat.names=strvcat(tempFeat.names,'dummy');

 
for ind=1:2:size(specFeat.data,1)-1
  figure
  for i=[2,1] %1:length(insts)
    specFeat=insts(i).specFeat;
    tempFeat=insts(i).tempFeat;

	 plot(specFeat.data(ind,:),specFeat.data(ind+1,:),plotDotOrder(i,:),'MarkerSize',5) 
	 hold on
	 xlabel(specFeat.names(ind,:))
	 ylabel(specFeat.names(ind+1,:))
	 axis([-2 2 -2 2])
	 %legend(strvcat(insts.name))	


  end
  %% print to file
  hText = findall(gcf,'Type','text')
  hAxes = findall(gcf,'Type','axes')
  set([hText;hAxes], 'FontSize',20);

  set(gcf, 'PaperPosition', [1 3 7 7]);
  filename=strcat('evalFeat-spec-',specFeat.names(ind,:),'-',specFeat.names(ind+1,:),'.eps')
  print('-depsc2', filename)
  
end  

for ind=1:2:size(tempFeat.data,1)-1
  figure
  for i=[2,1] %1:length(insts)
    specFeat=insts(i).specFeat;
    tempFeat=insts(i).tempFeat;
	 plot(tempFeat.data(ind,:),tempFeat.data(ind+1,:),plotDotOrder(i,:),'MarkerSize',6) 
	 hold on
	 xlabel(tempFeat.names(ind,:))
	 ylabel(tempFeat.names(ind+1,:))
	 axis([-2 2 -2 2])
	 %legend(strvcat(insts.name))
  end
  %% print to file
  hText = findall(gcf,'Type','text')
  hAxes = findall(gcf,'Type','axes')
  set([hText;hAxes], 'FontSize',20);
  set(gcf, 'PaperPosition', [1 3 7 7]);
  filename=strcat('evalFeat-temp-',tempFeat.names(ind,:),'-',tempFeat.names(ind+1,:),'.eps')
  print('-depsc2', filename)

end

%plot covariance matrices
figure
surf(cov([insts(1).specFeat.data, insts(2).specFeat.data]'))  
title('covariance matrix of spectral features')
   %% print to file
  hText = findall(gcf,'Type','text')
  hAxes = findall(gcf,'Type','axes')
  set([hText;hAxes], 'FontSize',20);
  set(gcf, 'PaperPosition', [1 3 7 7]);
  filename='evalFeat-spec-cov.eps'
  print('-depsc2', filename)

figure
surf(cov([insts(1).tempFeat.data, insts(2).tempFeat.data]'))  
title('covariance matrix of temporal features')
   %% print to file
  hText = findall(gcf,'Type','text')
  hAxes = findall(gcf,'Type','axes')
  set([hText;hAxes], 'FontSize',20);
  set(gcf, 'PaperPosition', [1 3 7 7]);
  filename='evalFeat-temp-cov.eps'
  print('-depsc2', filename)

