function void = evalGMM(models, features, data)

plotDotOrder=strvcat('cd','mo','gv','yp');

specFeat=[features.vect.F0]; %;features.vect.Win];
tempFeat=features.vect.temp;


figure(777)
close(777)


for i=1:size(models.names,1)
  specMu=models.GMM.specModel(i).mu;
  tempMu=models.GMM.tempModel(i).mu;

  % add a dummy feature for plotting odd number of features
  specMu=[specMu; zeros(1,size(specMu,2))];
  tempMu=[tempMu; zeros(1,size(tempMu,2))];
  %spec.names=strvcat(specFeat.names,'dummy');
  %temp.names=strvcat(tempFeat.names,'dummy')

  numSpecDim=size(specMu,1);
  numTempDim=size(tempMu,1);
  numSubPlots=ceil(numSpecDim+numTempDim)/2+2;
  figure(777)
  for ind=1:2:numSpecDim-1
    subplot(numSubPlots/2,2,ceil(ind/2))
	 plot(specMu(ind,:),specMu(ind+1,:),plotDotOrder(i,:)) 
	 hold on
	 plot(specFeat(ind),specFeat(ind+1),'b*')
	 %xlabel(specFeat.names(ind,:))
	 %ylabel(specFeat.names(ind+1,:))
	 
  end
  % plot temporal spec-feature likelihood behaviour  
  subplot(numSubPlots/2,2,ceil((1+numSpecDim)/2))
  hold off
  plot(data.specVect')
  legend(models.names)

  for ind=1:2:numTempDim-1
    subplot(numSubPlots/2,2,ceil((ind+numSpecDim)/2+2))
	 plot(tempMu(ind,:),tempMu(ind+1,:),plotDotOrder(i,:)) 
	 hold on
         plot(tempFeat(ind),tempFeat(ind+1),'b*')
	 %xlabel(tempFeat.names(ind,:))
	 %ylabel(tempFeat.names(ind+1,:))
	 
  end

end
%doesn't work:
%legend(strvcat(models.names))