function [feat, featNames] = getAgentWithTempFeat(snd,f0ind, frame)
%
%
% DEPRECATED
%
% wins: array of "win" structs
%frame
wins=snd.an.wins;
agents=snd.agents;

feat=[0;0;0];
featNames=strvcat('std(amp)', 'median(a'')','crest');

% look for my agent:
for a=1:length(agents)
    % skip if agent already dead or invalid
  if (agents(a).death<=frame), continue; end 
  if (~agents(a).valid), continue; end 

  adr=frame-agents(a).birth+1;
    % skip if agent isn't born yet
  if(adr<=0), continue; end
  chosenF0ind=agents(a).trace(adr);
 
  if (chosenF0ind==f0ind)
    % this is my agent
    %disp('found my agent')
    %wins(frame).f0(chosenF0ind).freq
    age=frame-agents(a).birth+1
    
    % get this agent's history
    % this is causal when in realtime, but acausal when calculated afterwards!
    % trace could then point to the future as well
    trace=agents(a).trace;
    % his f0's
    for i=1:length(trace)
      f0s(i)=wins(frame-age+i).f0(trace(i));
    end

    [startAmp, stopAmp]=widenAgentAmp(snd.var,agents(a),snd.an.Spec,4,4);
    longAmp=[startAmp, [f0s.a],stopAmp];
    feat=[	std([f0s.a]);
		median(diff([f0s.a]))/mean([f0s.a]);
		max(longAmp)/mean(longAmp)
	];
    if (length(feat) <3) 
	feat=[0;0;0];
    end
    featNames=strvcat('std(amp)', 'median(a'')','crest');
    break;
  end
end
