function [feat, names] = getF0Features(f0,specEnv,harmEnv)
% [feat, names] = getF0Features(f0,specEnv,harmEnv)
%
% get f0-dependent feature vector 

f0.specEnvMSE = getSpecModelMSE(f0, specEnv); 
f0.harmMSE = getHarmModelMSE(f0, harmEnv);

feat=[	log(f0.specEnvMSE(1)/f0.specEnvMSE(2));
  	log(f0.harmMSE(1)/f0.harmMSE(2));
	%log(f0.freq);               			% log freq
        %f0.energy;					% 
	%log(abs(f0.harmAmp(1:4).^2/f0.energyAbs))'; 	% rel harmonics
	%log(abs(f0.harmAmp(2:5))'/abs(f0.harmAmp(1)));
];

names= strvcat('specEnvMSErel','harmEnvMSErel'); %,'logF0','energyRel','H2byH1','H3byH1','H4byH1','H5byH1');
