function harmModel = getHarmonicsModel(snd)
% harmModel = getHarmonicsModel(snd)
%
% get Harmonics' ratios envelope

numOfHarm=4;
global opt

wins=snd.an.wins;
 % collect all harmAmps
data=zeros(round(opt.highestF*snd.var.fLen/snd.var.fMax), numOfHarm, 1);
numData=zeros(snd.var.fLen);
for w=1:snd.var.tLen
  for f=1:length(wins(w).f0)
    nAmp=20*log10(abs(wins(w).f0(f).harmAmp(2:numOfHarm+1))/abs(wins(w).f0(f).harmAmp(1)));
    data(wins(w).f0(f).ind,:,numData(wins(w).f0(f).ind)+1)=nAmp;
    numData(wins(w).f0(f).ind) = numData(wins(w).f0(f).ind)+1;
  end
end

harmModel=sum(data,3);

valid=find(numData>1);
for i=1:length(valid)
  harmModel(valid(i),:)=harmModel(valid(i),:)/numData(valid(i));
end

[B, A]=butter(1,0.001);
harmModel=filter(B,A,harmModel,[],1);
