% prepares instrument data for later training
% all snd saved in 'insts'

%turn on Lifter Logging
sw.GetSpecLiftered=1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sax
disp('--- sax model ---')
insts(1).snd = prepareData('saxmodel');
disp('analyzing sax')
insts(1).snd = analyzeAll(insts(1).snd);
insts(1).name = 'sax';
insts(1).specEnv = getSpecEnvModel(insts(1).snd);
insts(1).harmEnv = getHarmonicsModel(insts(1).snd);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% non-sax 
disp('--- non-sax model ---')
insts(2).snd = prepareData('nonsaxmodel');
disp('analyzing non-sax')
insts(2).snd = analyzeAll(insts(2).snd);
insts(2).name = 'non-sax';
insts(2).specEnv = getSpecEnvModel(insts(2).snd);
insts(2).harmEnv = getHarmonicsModel(insts(2).snd);

%%
sw.GetSpecLiftered=0;
