function void = traceAgents(snd)
global opt 
global plotDotOrder plotLineOrder
v=snd.var;
agents=snd.agents;

%% display all agents F0 trace

%figure(007)
figure(1)
hold on
for a=2:length(agents)
  if (~agents(a).valid), continue; end
  
  time=agents(a).birth:agents(a).death-1;
  for t=time
    if (~isstruct(snd.an.wins(t).f0))% empty win (only used if jumping is possible)
	thisF0(t)=0;
	continue;
    end 
    thisF0(t) = snd.an.wins(t).f0(agents(a).trace(t-agents(a).birth+1)).freq;
    hold on
  end
  %plot(v.t(time),thisF0(time), plotLineOrder(1+mod(a,size(plotLineOrder,1)),:));
  plot(v.t(time),thisF0(time),'k', 'LineWidth',3');
  %plot a dot for birth and death
  %birthndeath=[agents(a).birth, agents(a).death];
  %plot(v.t(birthndeath),thisF0(birthndeath), plotDotOrder(1+mod(a,size(plotDotOrder,1)),:));

end	
Tax=[0 snd.var.tMax];
%Fax=[0 fMax];
Fax=[0 1000];
axis xy;
axis([Tax Fax]);
xlabel('time [s]')
ylabel('freq [Hz]')	
hold off
